Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSWildcard

All Superinterfaces:
  XSObject, XSTerm

public interface XSWildcard
extends XSTerm

This interface represents the Wildcard schema component.

Field Summary
`static short` | `NSCONSTRAINT_ANY` Namespace Constraint: any namespace is allowed.
`static short` | `NSCONSTRAINT_LIST` Namespace Constraint: namespaces in the list are allowed.
`static short` | `NSCONSTRAINT_NOT` Namespace Constraint: namespaces in the list are not allowed.
`static short` | `PC_LAX` If the item, or any items among its [children] is an element information item, has a uniquely determined declaration available, it must be valid with respect to that definition, that is, validate where you can and do not worry when you cannot.
`static short` | `PC_SKIP` No constraints at all: the item must simply be well-formed XML.
`static short` | `PC_STRICT` There must be a top-level declaration for the item available, or the item must have an xsi:type, and the item must be valid as appropriate.

Method Summary
`XSAnnotation` | `getAnnotation()` An [annotation] if it exists, otherwise `null`.
`short` | `getConstraintType()` Namespace constraint: A constraint type: any, not, list.
`StringList` | `getNsConstraintList()` Namespace constraint: For `constraintType` `NSCONSTRAINT_LIST`, the list contains allowed namespaces.
`short` | `getProcessContents()` [process contents]: one of skip, lax or strict.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### NSCONSTRAINT_ANY

    public static final short NSCONSTRAINT_ANY

  Namespace Constraint: any namespace is allowed.

### NSCONSTRAINT_NOT

    public static final short NSCONSTRAINT_NOT

  Namespace Constraint: namespaces in the list are not allowed.

### NSCONSTRAINT_LIST

    public static final short NSCONSTRAINT_LIST

  Namespace Constraint: namespaces in the list are allowed.

### PC_STRICT

    public static final short PC_STRICT

  There must be a top-level declaration for the item available, or the item must have an xsi:type, and the item must be valid as appropriate.

### PC_SKIP

    public static final short PC_SKIP

  No constraints at all: the item must simply be well-formed XML.

### PC_LAX

    public static final short PC_LAX

  If the item, or any items among its [children] is an element information item, has a uniquely determined declaration available, it must be valid with respect to that definition, that is, validate where you can and do not worry when you cannot.

Method Detail

### getConstraintType

    public short getConstraintType()

  Namespace constraint: A constraint type: any, not, list.

### getNsConstraintList

    public StringList getNsConstraintList()

  Namespace constraint: For `constraintType` `NSCONSTRAINT_LIST`, the list contains allowed namespaces. For `constraintType` `NSCONSTRAINT_NOT`, the list contains disallowed namespaces. For `constraintType` `NSCONSTRAINT_ANY`, the `StringList` is empty.

### getProcessContents

    public short getProcessContents()

  [process contents]: one of skip, lax or strict. Valid constants values are: `PC_LAX`, `PC_SKIP` and `PC_STRICT`.

### getAnnotation

    public XSAnnotation getAnnotation()

  An [annotation] if it exists, otherwise `null`.

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.